org.eclipse.ecf.provider.generic

## Class SOConnector

- java.lang.Object
- - org.eclipse.ecf.provider.generic.SOConnector

All Implemented Interfaces:
  ISharedObjectConnector

    public class SOConnector
    extends Object
    implements ISharedObjectConnector

### Constructor Summary

Constructors
Constructor and Description
`SOConnector(ID sender, ID[] recv, IQueueEnqueue[] queues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Dispose of this ISharedObjectConnector
`void` `enqueue(ISharedObjectEvent event)` Enqueue an ISharedObjectEvent to all the receivers for connector
`void` `enqueue(ISharedObjectEvent[] events)` Enqueue a set of ISharedObjectEvents to all the receivers for connector
`protected void` `fireEvent(ISharedObjectEvent event)`
`protected void` `fireEvents(ISharedObjectEvent[] event)`
`ID[]` `getReceiverIDs()` Get receiver IDs for connector
`ID` `getSenderID()` Get sender ID for connector

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SOConnector

    public SOConnector(ID sender,
                       ID[] recv,
                       IQueueEnqueue[] queues)

### Method Detail

#### fireEvent

    protected void fireEvent(ISharedObjectEvent event)
                      throws QueueException

Throws:
  `QueueException`

#### fireEvents

    protected void fireEvents(ISharedObjectEvent[] event)
                       throws QueueException

Throws:
  `QueueException`

#### getSenderID

    public ID getSenderID()

Description copied from interface: `ISharedObjectConnector`
Get sender ID for connector

Specified by:
  `getSenderID` in interface `ISharedObjectConnector`
Returns:
  ID of shared object that is sender for this connection. Will not return null

#### getReceiverIDs

    public ID[] getReceiverIDs()

Description copied from interface: `ISharedObjectConnector`
Get receiver IDs for connector

Specified by:
  `getReceiverIDs` in interface `ISharedObjectConnector`
Returns:
  ID[] of the shared objects that are the receivers for this connection. Will not return null, but may return empty ID[]

#### enqueue

    public void enqueue(ISharedObjectEvent event)
                 throws QueueException

Description copied from interface: `ISharedObjectConnector`
Enqueue an ISharedObjectEvent to all the receivers for connector

Specified by:
  `enqueue` in interface `ISharedObjectConnector`
Parameters:
  `event` - to enqueue. Must not be null.
Throws:
  `QueueException` - thrown if some problem enqueing to any receivers

#### enqueue

    public void enqueue(ISharedObjectEvent[] events)
                 throws QueueException

Description copied from interface: `ISharedObjectConnector`
Enqueue a set of ISharedObjectEvents to all the receivers for connector

Specified by:
  `enqueue` in interface `ISharedObjectConnector`
Parameters:
  `events` - [] of events to enqueue. Must not be null.
Throws:
  `QueueException` - thrown if some problem enqueing to any receivers

#### dispose

    public void dispose()

Description copied from interface: `ISharedObjectConnector`
Dispose of this ISharedObjectConnector

Specified by:
  `dispose` in interface `ISharedObjectConnector`